[1/2] core168: Add rd.auto to kernel command line

Message ID 20220519085634.197389-1-michael.tremer@ipfire.org
State Accepted
Commit 69aac83da960bc89783aa8dc5373b907cccc60f8
Headers
Series [1/2] core168: Add rd.auto to kernel command line |

Commit Message

Michael Tremer May 19, 2022, 8:56 a.m. UTC
  This parameter will enable dracut to automatically launch any MDRAID
arrays at boot time.

Signed-off-by: Michael Tremer <michael.tremer@ipfire.org>
---
 config/rootfiles/core/168/update.sh | 4 ++++
 1 file changed, 4 insertions(+)
  

Patch

diff --git a/config/rootfiles/core/168/update.sh b/config/rootfiles/core/168/update.sh
index e11e08b7f..c4005dba9 100644
--- a/config/rootfiles/core/168/update.sh
+++ b/config/rootfiles/core/168/update.sh
@@ -120,6 +120,10 @@  case "$(uname -m)" in
                 ;;
 esac
 
+# Add rd.auto to kernel command line
+if ! grep -q rd.auto /etc/default/grub; then
+	sed -e "s/panic=10/& rd.auto/" -i /etc/default/grub
+fi
 
 # Start services
 /etc/init.d/fcron restart